Package twisted :: Package protocols :: Module sux :: Class XMLParser

[show private | hide private]
[frames | no frames]

## Class XMLParser

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      XMLParser

Known Subclasses:
  `MicroDOMParser`

Method Summary
| `begin_afterslash(self, byte)`
| `begin_attrname(self, byte)`
| `begin_attrval(self, byte)`
| `begin_beforeeq(self, byte)`
| `begin_bodydata(self, byte)`
| `begin_comment(self, byte)`
| `begin_doctype(self, byte)`
| `begin_entityref(self, byte)`
| `begin_expectcdata(self, byte)`
| `begin_messyattr(self, byte)`
| `begin_tagstart(self, byte)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| `do_afterslash(self, byte)`
| `do_attrname(self, byte)`
| `do_attrs(self, byte)`
| `do_attrval(self, byte)`
| `do_beforeattrval(self, byte)`
| `do_beforeeq(self, byte)`
| `do_begin(self, byte)`
| `do_bodydata(self, byte)`
| `do_cdata(self, byte)`
| `do_comment(self, byte)`
| `do_doctype(self, byte)`
| `do_entityref(self, byte)`
| `do_expectcdata(self, byte)`
| `do_messyattr(self, byte)`
| `do_tagstart(self, byte)`
| `do_waitforgt(self, byte)`
| `end_attrval(self)`
| `end_bodydata(self)`
| `end_cdata(self)`
| `end_doctype(self)`
| `end_entityref(self)`
| `end_messyattr(self)`
| ``gotCData`(self, cdata)` Encountered CDATA
| ``gotComment`(self, comment)` Encountered comment.
| ``gotDoctype`(self, doctype)` Encountered DOCTYPE
| ``gotEntityReference`(self, entityRef)` Encountered mnemonic entity reference
| ``gotTagEnd`(self, name)` Encountered closing tag
| ``gotTagStart`(self, name, attributes)` Encountered an opening tag.
| ``gotText`(self, data)` Encountered text
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``saveMark`(self)` Get the line number and column of the last character parsed
| `_parseError(self, message)`

Class Variable Summary
`string` | `attrname`
`string` | `attrval`
`int` | `beExtremelyLenient`
`string` | `filename`
`None` | `state`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### gotCData(self, cdata)

Encountered CDATA

Default behaviour is to call the gotText method

### gotComment(self, comment)

Encountered comment.

Default behaviour is to ignore.

### gotDoctype(self, doctype)

Encountered DOCTYPE

This is really grotty: it basically just gives you everything between '<!DOCTYPE' and '>' as an argument.

### gotEntityReference(self, entityRef)

Encountered mnemonic entity reference

Default behaviour is to print.

### gotTagEnd(self, name)

Encountered closing tag

Default behaviour is to print.

### gotTagStart(self, name, attributes)

Encountered an opening tag.

Default behaviour is to print.

### gotText(self, data)

Encountered text

Default behaviour is to print.

### saveMark(self)

Get the line number and column of the last character parsed

Class Variable Details

### attrname

  Type:
    `string`
  Value:

        ''

### attrval

  Type:
    `string`
  Value:

        ''

### beExtremelyLenient

  Type:
    `int`
  Value:

        0

### filename

  Type:
    `string`
  Value:

        '<xml />'

### state

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:15 2003 | http://epydoc.sf.net